@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap");

/* :root{
  --1: rgb(111, 190, 255);
  --2:
} */
*,
::before,
::after {
  font-family: "Poppins", sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  background-image: linear-gradient(
    to right bottom,
    rgb(246, 246, 246),
    rgb(151, 210, 250),
    rgb(66, 124, 218),
    rgb(3, 62, 139),
    rgb(0, 14, 109),
    rgb(0, 0, 0)
  );
  display: flex;
  justify-content: center;
  align-items: center;
}

.calculator {
  /* border: 1px solid white; */
  height: 60vh;
  min-width: 370px;
  max-width: 370px;
}

.display {
  color: white;
  width: 100%;
  min-height: 20%;
  max-height: min-content;
  background-color: rgba(0, 0, 0, 0.25);
  /* border: 1px solid white; */
  word-break: break-all;
  text-align: right;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-right: 5px;
  font-weight: bold;
}

.currentNr {
  font-size: 30px;
}

.prevNr {
  font-size: 20px;
}

.mathSign {
  font-size: 20px;
}

.panel {
  height: 80%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(5, 1fr);
  gap: 3px;
}

.panel button {
  font-size: 25px;
  background-color: rgba(0, 0, 0, 0.1);
  color: white;
  border: none;
  outline: none;
}

.panel button:hover {
  background-color: rgba(0, 0, 0, 0.25);
}

.equals {
  grid-row: -1/-3;
  grid-column: -2/-1;
}

.history {
  height: 60vh;
  margin: 20px;
  color: white;
  width: 200px;
  font-weight: bold;
  padding: 10px;
  background-color: rgba(0, 0, 0, 0.05);
  text-align: center;
}

.historyBtn {
  border: none;
  outline: none;
  background-color: rgba(0, 0, 0, 0.1);
  width: 100%;
  cursor: pointer;
  padding: 5px;
  color: orangered;
  display: none;
}

.historyList {
  list-style: none;
  font-weight: 200;
  word-wrap: break-word;
}

.historyList-items {
  letter-spacing: 1px;
  margin: 6px;
}

.historyBtn.active {
  display: block;
}
